Bug 45547 - kpackage broke my database
Summary: kpackage broke my database
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL: http://24.3.55.231/rpmdb.tar.gz
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-22 17:47 UTC by Ron Dzierwa
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-22 17:47:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ron Dzierwa 2001-06-22 17:47:43 UTC
Description of Problem:
kpackage broke my database

How Reproducible:
any rpm command crashes rpm

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
rpm crashes

Expected Results:


Additional Information:
init and rebuild also crash

Comment 1 Jeff Johnson 2001-06-30 19:14:21 UTC
Fixed in rpm-4.0.3-0.55. Meanwhile your rpm/Packages and my
rebuild log are at
	ftp://people.redhat.com/jbj/rpmdb3-45547-FIX.tar.gz
Do the following
	cd /var/lib/rpm
	mv Packages Packages-SAVE
	cd ..
	tar xzvf rpmdb3-45547-FIX.tar.gz
	rpm --rebuilddb -vv

Comment 2 Claudio Bandaloukas 2001-07-01 12:16:48 UTC
Where can I get the rpm? I have come across the same problem....
Kpackage opened as simple user crashed,
rpm -vv --rebuilddb segfaults
at
<snip>
D: adding "xmms-devel" to Name index.
D: adding 13 entries to Basenames index.
D: adding "Applications/Multimedia" to Group index.
D: adding 6 entries to Requirename index.
D: adding 1 entries to Providename index.
D:   +++         84 SDL_mixer-1.1.0-2
D: adding "SDL_mixer" to Name index.
D: adding 8 entries to Basenames index.
D: adding "System Environment/Libraries" to Group index.
D: adding 27 entries to Requirename index.
D: adding 2 entries to Providename index.
Segmentation fault (core dumped)

The database is not corrupt however....(db_verify gives no output)


Note You need to log in before you can comment on or make changes to this bug.